import { ValueField } from "../value-field";
import * as i0 from "@angular/core";
export declare class TextFieldComponent {
    field: TextField;
    static ɵfac: i0.ɵɵFactoryDeclaration<TextFieldComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TextFieldComponent, "path-textfield", never, { "field": "field"; }, { "field": "field"; }, never, never>;
}
export declare class TextField extends ValueField<string> {
    private _isPassword;
    private _maxLength;
    get isPassword(): boolean;
    set isPassword(value: boolean);
    get maxLength(): number;
    set maxLength(value: number);
    fromJson(modelFormField: any): void;
}
